Public APIAPI ReferenceBilling
Update team spending settings.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
PUT
/v1/teams/{teamId}/billing/spendUsers with the owner or billing role can set the budget and whether to pause when the budget is reached. Only users with a verified email can use this.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
teamId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/teams/string/billing/spend" \ -H "Content-Type: application/json" \ -d '{ "budget_minor": 0, "pause_on_budget": true }'{ "budget_minor": 0, "pause_on_budget": true, "thresholds": [ 0 ]}